Bug 486544 - Firefox crashes on 8 bpp visual
Firefox crashes on 8 bpp visual
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-cairo (Show other bugs)
4.7
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 03:23 EST by Göran Uddeborg
Modified: 2012-06-20 09:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2009-02-20 03:23:26 EST
Description of problem:
When using X terminals having only 8 bit color depth, firefox crashes after the upgrade to Firefox 3.

Version-Release number of selected component (if applicable):
firefox-3.0.6-1.el4
evolution28-cairo-1.2.4-6.el4

How reproducible:
Every time

Steps to Reproduce:
1.Log in on a display with 8 bit color depth, or start a vncserver with option "-depth 8".
2.If applicable: connect to the vncserver with vncviewer
3.Start firefox

Actual results:
A crash with this output:

Error: Cairo does not yet support the requested image format:
        Depth: 8
        Alpha mask: 0x00000000
        Red   mask: 0x00000000
        Green mask: 0x00000000
        Blue  mask: 0x00000000
Please file an enhacement request (quoting the above) at:
http://bugs.freedesktop.org/enter_bug.cgi?product=cairo
firefox-bin: cairo-image-surface.c:155: _cairo_format_from_pixman_format: Försäkran "NOT_REACHED" falsk.
/usr/lib64/firefox-3.0.6/run-mozilla.sh: line 131: 21557 Avbruten (SIGABRT)      (core dumped) "$prog" ${1+"$@"}
Exit 134 

Expected results:
A firefox browser window should come up.
Comment 1 Matthew Barnes 2009-02-20 09:35:09 EST
caillon, can you take a look at this?
Comment 2 Martin Stransky 2009-02-23 06:51:27 EST
It's because firefox tries to use 8bpp surfaces internally - but this is not supported by cairo image/pixman. Can check if it's possible to run firefox internally in 32-bit depth.
Comment 3 Martin Stransky 2009-02-23 08:08:38 EST
Anyway, not sure it's worth to deal with it. Seems to be cause by cairo version used in rhel-5 (and evolution28) - currently whole GTK crashes when RHEL-5 desktop is run in 8 bit color depth.
Comment 4 Göran Uddeborg 2009-03-05 12:26:32 EST
To avoid causing duplicate efforts, I want to mention that there is a service request number 1896950 about the "business side" of this problem.
Comment 5 Jiri Pallich 2012-06-20 09:24:39 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.